#include <Wire.h>


void setup() {
  Wire.begin();
  Wire.setClock( 400000 );

  Serial.begin( 115200 );
  Serial.print( "Start programu\n\r" );
}


void loop() {
  uint32_t static tim;

  if (  millis() > tim ) {
    tim = millis() + 2000;

#ifdef DEBUG
    Serial.print( "Test 1 " );
#endif
    Wire.beginTransmission( 0x22 );
#ifdef DEBUG
    Serial.print( "2 " );
#endif

    uint16_t static cnt;
    char txt[100];
    sprintf( txt, "Ramka %d\n\r", ++cnt );
    Wire.write( txt );

#ifdef DEBUG
    Serial.print( "3 " );
#endif
    Wire.endTransmission();
#ifdef DEBUG
    Serial.print( "4\n\r" );
#endif
  }


  Wire.requestFrom( 0x22, 1 );
  if ( Wire.available() )
  {
    char c = Wire.read();
#ifdef DEBUG
    Serial.print( "Odebrano: " );
#endif
    Serial.print( c );
#ifdef DEBUG
    Serial.print( "\n\r" );
#endif
  }

}
